# Get deposit status

## Retrieve Deposit Status

> Retrieve the status of a previously created deposit. This endpoint allows you to retrieve the status of a deposit request.

```json
{"openapi":"3.0.0","info":{"title":"onekeypayments Deposit API","version":"v3"},"servers":[{"url":"https://api-stg.onekeypayments.com/v3","description":"Staging environment"}],"paths":{"/deposits/{deposit_id}":{"get":{"summary":"Retrieve Deposit Status","description":"Retrieve the status of a previously created deposit. This endpoint allows you to retrieve the status of a deposit request.","tags":["Deposits"],"parameters":[{"name":"deposit_id","in":"path","required":true,"description":"onekeypayments deposit_id. It is obtained when creating the deposit.","schema":{"type":"integer"}},{"name":"Content-Type","in":"header","required":true,"schema":{"type":"string","default":"application/json"},"description":"Media type of the body sent to the API. (Note: For GET, typically no request body)"},{"name":"X-Date","in":"header","required":true,"schema":{"type":"string","format":"date-time"},"description":"ISO8601 Datetime with Timezone. Example: 2020-06-24T17:13:21Z"},{"name":"X-Login","in":"header","required":true,"schema":{"type":"string"},"description":"Merchant X-Login API Key"},{"name":"Authorization","in":"header","required":true,"schema":{"type":"string"},"description":"Authentication signature hash"},{"name":"X-Idempotency-Key","in":"header","required":false,"schema":{"type":"string"},"description":"Unique idempotency key for ensuring that the same request is not processed more than once. (Typically for state-changing requests)"}],"responses":{"200":{"description":"Deposit status successfully retrieved","content":{"application/json":{"schema":{"$ref":"#/components/schemas/DepositStatusResponse"}}}},"400":{"description":"The deposit_id specified is not valid","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"401":{"description":"Unauthorized access","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}},"404":{"description":"The deposit_id specified could not be found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ApiError"}}}}}}}},"components":{"schemas":{"DepositStatusResponse":{"type":"object","properties":{"user_id":{"type":"string","description":"ID generated for the user on onekeypayments end"},"deposit_id":{"type":"integer","description":"ID of the deposit on onekeypayments end"},"subscription_id":{"type":"integer","description":"ID of the Subscription that triggered the deposit","nullable":true},"invoice_id":{"type":"string","description":"ID of the deposit on the merchant end"},"country":{"type":"string","description":"Country ISO code","nullable":true},"currency":{"type":"string","description":"Local currency code"},"local_amount":{"type":"number","format":"float","description":"Amount in local currency","nullable":true},"usd_amount":{"type":"number","format":"float","description":"Amount in USD","nullable":true},"amount":{"type":"number","format":"float","description":"Amount in local currency (may appear in PENDING/CREATED status responses; prefer 'local_amount' or 'usd_amount' where available)","nullable":true},"bonus_amount":{"type":"number","format":"float","description":"The amount specified as bonus in the request","nullable":true},"bonus_relative":{"type":"boolean","description":"Specifies if the bonus_amount is absolute or relative. Only shown if bonus_amount is not null.","nullable":true},"payment_method":{"type":"string","description":"Payment method code specified on the deposit request or selected by the user. Only shown if payment method is selected.","nullable":true},"payment_type":{"type":"string","description":"Type of the payment method. Only shown if payment method is selected.","nullable":true},"status":{"type":"string","description":"Status of the deposit","enum":["COMPLETED","PENDING","CREATED","DECLINED","CANCELLED","EXPIRED","EARLY_RELEASED","FOR_REVIEW"]},"payer":{"$ref":"#/components/schemas/Payer","nullable":true},"fee_amount":{"type":"number","format":"float","description":"Fee of the deposit in the currency of your balance. Only shown if payment_method was sent or selected.","nullable":true},"fee_currency":{"type":"string","description":"Currency of your balance. Only shown if payment_method was sent or selected.","nullable":true},"refunded":{"type":"boolean","description":"Shows if the deposit was refunded or not","nullable":true},"current_payer_verification":{"type":"string","description":"Shows if the current payer is the same person who creates the deposit. Only shown if not null.","enum":["MATCH","UNMATCH","NO_CLIENT_DOCUMENT","NO_CURRENT_PAYER_DATA"],"nullable":true},"card_detail":{"$ref":"#/components/schemas/CardDetail","nullable":true},"financial_institution":{"$ref":"#/components/schemas/FinancialInstitution","nullable":true},"bank_account":{"$ref":"#/components/schemas/BankAccount","nullable":true},"completed_payment_method_code":{"type":"string","description":"Payment method used by the client to complete the transaction","nullable":true}}},"Payer":{"type":"object","description":"Object containing information about the payer. Only values sent or collected will be shown.","properties":{"document":{"type":"string","description":"Payer's document of identity"},"document_type":{"type":"string","description":"Payer's type of their document of identity"},"email":{"type":"string","format":"email","description":"Payer's email"},"first_name":{"type":"string","description":"Payer's first name"},"last_name":{"type":"string","description":"Payer's last name"},"address":{"$ref":"#/components/schemas/PayerAddress"}}},"PayerAddress":{"type":"object","properties":{"city":{"type":"string","description":"Payer's city"},"state":{"type":"string","description":"Payer's state ISO code"},"street":{"type":"string","description":"Payer's street"},"zip_code":{"type":"string","description":"Payer's zip code"}}},"CardDetail":{"type":"object","description":"Details about the credit card of the payer. Only shown for credit card deposits when information is available.","properties":{"card_holder":{"type":"string","description":"Name of the card holder used to pay"},"brand":{"type":"string","description":"Brand of the card used to pay"},"masked_card":{"type":"string","description":"Masked card number used to pay"},"expiration":{"type":"string","description":"Expiration of the card used to pay in format<y_bin_46>-MM. Example: 2023-12","pattern":"^\\d{4}-\\d{2}$"},"card_type":{"type":"string","description":"Type of card used CREDIT/DEBIT","enum":["CREDIT","DEBIT"]},"transaction_result":{"type":"string","description":"The result message of the credit card transaction"}}},"FinancialInstitution":{"type":"object","description":"(Only for Pix deposits) Object containing additional information about the financial institution.","properties":{"name":{"type":"string","description":"Name of the bank from which the deposit was completed"},"bank_code":{"type":"string","description":"The Cashout Bank Code of the bank"},"tax_identifier":{"type":"string","description":"The Tax ID of the bank (e.g., in Brazil is the bank's CNPJ)"}}},"BankAccount":{"type":"object","description":"(Only for PIX and Spei deposits) Object containing additional information about the bank account.","properties":{"bank_code":{"type":"string","description":"The Cashout Bank Code of the bank from which the deposit was completed","nullable":true},"account_number":{"type":"string","description":"The account number from which the deposit was completed"},"bank_branch":{"type":"string","description":"The bank branch (Primarily for PIX)","nullable":true},"ispb_code":{"type":"integer","description":"The ISPB code of the bank (Primarily for PIX)","nullable":true},"bank_name":{"type":"string","description":"Name of the bank (Primarily for PIX)","nullable":true},"account_type":{"type":"string","description":"Type of bank account (Primarily for PIX, e.g., SAVING)","nullable":true}}},"ApiError":{"type":"object","properties":{"error":{"type":"object","properties":{"code":{"type":"string","description":"Error code"},"message":{"type":"string","description":"Error message"},"details":{"type":"string","description":"Additional error details","nullable":true}}}}}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://apidocs.onekeypayments.com/api-reference/deposits-api/manage-payments/get-deposit-status.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
